Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 792327 (gnome-40-stable) - GNOME 40 stabilization
Summary: GNOME 40 stabilization
Status: RESOLVED FIXED
Alias: gnome-40-stable
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords: CC-ARCHES
Depends on: 787269 787818 792369
Blocks: python3.9-stable
  Show dependency tree
 
Reported: 2021-05-26 22:22 UTC by Matt Turner
Modified: 2021-07-06 01:07 UTC (History)
7 users (show)

See Also:
Package list:
app-accessibility/at-spi2-core-2.40.1 amd64 arm arm64 ppc ppc64 sparc x86 app-accessibility/orca-40.0 amd64 arm64 x86 dev-libs/liblouis-3.17.0 amd64 arm64 x86 app-accessibility/brltty-6.1 amd64 arm64 x86 app-accessibility/speech-dispatcher-0.9.1 amd64 arm64 x86 app-arch/file-roller-3.40.0 amd64 x86 app-arch/gnome-autoar-0.3.2 amd64 arm64 x86 app-cdr/brasero-3.12.2-r3 amd64 x86 app-crypt/gcr-3.40.0 amd64 arm arm64 ppc ppc64 sparc x86 app-crypt/seahorse-40.0-r1 amd64 arm64 x86 app-dicts/gnome-dictionary-40.0 amd64 x86 app-editors/gedit-40.1 amd64 x86 app-editors/gedit-plugins-40.1 amd64 x86 app-misc/bijiben-40.1 amd64 x86 app-misc/gnote-40.1 amd64 x86 app-misc/tracker-miners-2.3.5-r1 amd64 arm64 x86 app-misc/tracker-miners-3.1.1 amd64 arm64 x86 app-misc/tracker-3.1.1 amd64 arm64 x86 app-office/grisbi-2.0.3 amd64 x86 app-text/evince-40.1-r1 amd64 x86 app-text/gspell-1.9.1 amd64 arm64 x86 app-text/gtranslator-40.0 amd64 x86 app-text/yelp-tools-40.0 amd64 arm arm64 ppc ppc64 sparc x86 dev-cpp/atkmm-2.28.2 amd64 arm ppc ppc64 sparc x86 dev-cpp/cairomm-1.14.3 amd64 arm ppc ppc64 sparc x86 dev-cpp/glibmm-2.66.1 amd64 arm arm64 ppc ppc64 sparc x86 dev-cpp/gtkmm-3.24.5 amd64 arm ppc ppc64 sparc x86 dev-cpp/mm-common-1.0.3 amd64 arm arm64 ppc ppc64 sparc x86 dev-lang/vala-0.50.7 amd64 arm arm64 ppc ppc64 sparc x86 dev-lang/vala-0.52.3 amd64 arm arm64 ppc ppc64 sparc x86 dev-libs/folks-0.15.2 amd64 x86 dev-libs/gjs-1.68.1-r1 amd64 arm arm64 ppc64 x86 dev-libs/glib-2.68.2-r1 dev-libs/gobject-introspection-1.68.0 dev-libs/gobject-introspection-common-1.68.0 dev-libs/jsonrpc-glib-3.38.0 amd64 x86 dev-libs/libdazzle-3.40.0 amd64 x86 dev-libs/libgee-0.20.4 amd64 arm arm64 ppc ppc64 sparc x86 dev-libs/libgnome-games-support-1.8.1 amd64 x86 dev-libs/libgusb-0.3.7 amd64 arm arm64 ppc ppc64 x86 dev-libs/libgweather-40.0 amd64 arm64 x86 dev-libs/libmanette-0.2.6 amd64 arm arm64 ppc64 x86 dev-libs/libpeas-1.30.0 amd64 x86 dev-libs/libsigc++-2.10.7 amd64 arm arm64 ppc ppc64 sparc x86 dev-libs/vala-common-0.52.3 dev-python/pyatspi-2.38.1 amd64 arm64 sparc x86 dev-python/pygobject-3.40.1 dev-util/d-feet-0.3.16 amd64 x86 dev-util/devhelp-40.0 amd64 x86 dev-util/gdbus-codegen-2.68.2 dev-util/glib-utils-2.68.2 dev-util/gnome-builder-3.40.2 amd64 x86 dev-util/gnome-devel-docs-40.0 amd64 x86 dev-util/gtk-doc-1.33.2 dev-util/gtk-doc-am-1.33.2 games-arcade/gnome-nibbles-3.38.2 amd64 x86 games-arcade/gnome-robots-40.0 amd64 x86 games-board/four-in-a-row-3.38.1 amd64 x86 games-board/gnome-chess-40.1 amd64 x86 games-board/gnome-mahjongg-3.38.3 amd64 x86 games-board/gnome-mines-40.0 amd64 x86 games-board/iagno-3.38.1 amd64 x86 games-board/tali-40.1 amd64 x86 games-puzzle/gnome-klotski-3.38.2 amd64 x86 games-puzzle/gnome-sudoku-40.1 amd64 x86 games-puzzle/gnome-taquin-3.38.1 amd64 x86 games-puzzle/gnome-tetravex-3.38.2 amd64 x86 games-puzzle/gnome2048-3.38.2 amd64 games-puzzle/lightsoff-40.0.1 amd64 x86 games-puzzle/quadrapassel-40.1 amd64 x86 games-puzzle/swell-foop-40.1 amd64 x86 gnome-base/dconf-0.40.0 amd64 arm arm64 ppc ppc64 sparc x86 gnome-base/dconf-editor-3.38.3 amd64 x86 gnome-base/gdm-40.0 amd64 arm64 x86 gnome-base/gnome-control-center-40.0 amd64 arm64 x86 gnome-base/gnome-core-apps-40.0 amd64 x86 gnome-base/gnome-core-libs-40.0 amd64 x86 gnome-base/gnome-desktop-40.1 amd64 arm64 x86 gnome-base/gnome-extra-apps-40.0 amd64 x86 gnome-base/gnome-keyring-40.0 amd64 arm arm64 ppc ppc64 sparc x86 gnome-base/gnome-light-40.0 amd64 x86 gnome-base/gnome-session-40.1.1 amd64 arm64 x86 gnome-base/gnome-settings-daemon-40.0.1 amd64 arm64 x86 gnome-base/gnome-shell-40.1 amd64 arm64 x86 gui-libs/gtk-4.2.1-r1 amd64 arm64 x86 dev-libs/weston-9.0.0 amd64 arm64 x86 gnome-base/gnome-40.0 amd64 x86 gnome-base/gsettings-desktop-schemas-40.0 amd64 arm arm64 ppc ppc64 sparc x86 gnome-base/gvfs-1.48.1 amd64 arm arm64 ppc ppc64 sparc x86 dev-libs/libgdata-0.18.1 amd64 arm arm64 ppc ppc64 sparc x86 net-libs/uhttpmock-0.5.3 amd64 arm arm64 ppc ppc64 sparc x86 gnome-base/librsvg-2.50.6 amd64 arm arm64 ppc64 x86 gnome-base/nautilus-40.1 amd64 arm64 x86 gnome-extra/eiciel-0.9.13 amd64 x86 gnome-extra/evolution-data-server-3.40.1 amd64 arm64 x86 gnome-extra/evolution-ews-3.40.1 amd64 x86 gnome-extra/gnome-boxes-40.1 amd64 gnome-extra/gnome-calculator-40.1 amd64 x86 gnome-extra/gnome-calendar-40.1 amd64 x86 gnome-extra/gnome-characters-40.0 amd64 x86 gnome-extra/gnome-clocks-40.0 amd64 x86 gnome-extra/gnome-contacts-40.0 amd64 x86 gnome-extra/gnome-getting-started-docs-3.38.1 amd64 x86 gnome-extra/gnome-shell-extensions-40.1 amd64 x86 gnome-extra/gnome-shell-frippery-40.0 amd64 x86 gnome-extra/gnome-system-monitor-40.1 amd64 x86 gnome-extra/gnome-tweaks-40.0 amd64 x86 gnome-extra/gnome-user-docs-40.1 amd64 x86 gnome-extra/gnome-weather-40.0 amd64 x86 gnome-extra/gucharmap-13.0.7 amd64 arm arm64 ppc ppc64 sparc x86 gnome-extra/nm-applet-1.22.0 amd64 arm64 ppc ppc64 x86 gnome-extra/yelp-40.0 amd64 x86 gnome-extra/yelp-xsl-40.0 amd64 arm arm64 ppc ppc64 sparc x86 gui-libs/libwpe-1.10.0 amd64 arm arm64 ppc64 x86 gui-libs/tepl-6.00.0-r1 amd64 x86 gui-libs/wpebackend-fdo-1.8.4 amd64 arm arm64 ppc64 x86 mail-client/balsa-2.6.2 amd64 x86 mail-client/evolution-3.40.1 amd64 x86 media-gfx/eog-plugins-3.26.7 amd64 x86 media-gfx/eog-40.1 amd64 x86 media-gfx/gnome-font-viewer-40.0 amd64 x86 media-gfx/gnome-photos-40.0 amd64 x86 media-gfx/gnome-screenshot-40.0 amd64 x86 media-gfx/gphoto2-2.5.27 amd64 ppc ppc64 x86 media-gfx/gthumb-3.10.3 amd64 x86 media-gfx/simple-scan-40.1 amd64 ppc ppc64 x86 gui-libs/libhandy-1.2.2 amd64 arm64 ppc ppc64 x86 media-libs/gexiv2-0.12.2 amd64 arm arm64 ppc ppc64 sparc x86 media-libs/graphene-1.10.6 amd64 arm arm64 ppc ppc64 x86 media-libs/grilo-0.3.13 amd64 arm64 x86 media-libs/harfbuzz-2.8.1 media-libs/libgphoto2-2.5.27-r1 amd64 arm arm64 ppc ppc64 sparc x86 media-plugins/grilo-plugins-0.3.13 amd64 arm64 x86 media-sound/gnome-music-40.0 amd64 x86 media-sound/gnome-sound-recorder-40.0 amd64 x86 media-sound/sound-juicer-3.38.0 amd64 x86 media-video/totem-3.38.0 amd64 x86 net-dialup/moserial-3.0.16 amd64 x86 net-libs/dleyna-connector-dbus-0.4.0 amd64 x86 net-libs/dleyna-core-0.7.0 amd64 x86 net-libs/dleyna-renderer-0.7.0 amd64 net-libs/glib-networking-2.68.1 amd64 arm arm64 ppc ppc64 sparc x86 net-libs/gnome-online-accounts-3.40.0 amd64 arm64 x86 net-libs/gupnp-1.2.6 amd64 arm64 ppc64 x86 net-libs/libgfbgraph-0.2.4 amd64 x86 net-libs/libmbim-1.24.6 amd64 arm arm64 ppc ppc64 x86 net-libs/libndp-1.8 amd64 arm arm64 ppc ppc64 x86 net-libs/libqmi-1.28.4 amd64 arm arm64 ppc ppc64 x86 net-libs/libsoup-2.72.0-r1 amd64 arm arm64 ppc ppc64 sparc x86 net-libs/phodav-2.5 amd64 arm ppc ppc64 x86 net-libs/webkit-gtk-2.32.1 amd64 arm arm64 ppc64 x86 net-misc/dleyna-server-0.7.0 amd64 x86 net-misc/modemmanager-1.16.4 amd64 arm arm64 ppc ppc64 x86 net-misc/networkmanager-1.30.4 amd64 arm arm64 ppc ppc64 x86 net-misc/rygel-0.40.1 amd64 x86 net-wireless/gnome-bluetooth-3.34.5 amd64 arm64 x86 sci-geosciences/gnome-maps-40.1 amd64 x86 sys-apps/baobab-40.0 amd64 x86 sys-apps/gnome-disk-utility-40.1 amd64 x86 sys-apps/osinfo-db-20210426 amd64 arm64 x86 sys-block/gparted-1.3.0 amd64 ppc ppc64 x86 sys-process/gnome-usage-3.38.1 amd64 www-client/epiphany-40.1 amd64 x86 x11-libs/gdk-pixbuf-2.42.6 x11-libs/gtk+-2.24.33 amd64 arm arm64 ppc ppc64 sparc x86 x11-libs/gtksourceview-4.8.1 amd64 arm arm64 ppc ppc64 sparc x86 x11-libs/pango-1.48.5-r1 amd64 arm arm64 ppc ppc64 sparc x86 dev-util/gi-docgen-2021.6 amd64 arm arm64 ppc ppc64 sparc x86 dev-python/typogrify-2.0.7 amd64 arm arm64 ppc ppc64 sparc x86 dev-python/smartypants-2.0.1 amd64 arm arm64 ppc ppc64 sparc x86 x11-libs/vte-0.64.1 amd64 arm arm64 ppc ppc64 sparc x86 x11-misc/colord-1.4.5-r1 amd64 arm arm64 ppc ppc64 x86 x11-terms/gnome-terminal-3.40.1 amd64 x86 x11-themes/adwaita-icon-theme-40.1.1 amd64 arm arm64 ppc64 x86 x11-themes/gnome-backgrounds-40.1 amd64 x86 x11-wm/mutter-40.1-r4 amd64 arm64 x86
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matt Turner gentoo-dev 2021-05-26 22:22:55 UTC
There are 170 packages listed here for stabilization. Not all of them have perfectly passing test suites.

Some known test failures are:
  - x11-libs/pango: Bug 788463
  - gnome-base/gnome-shell: Bug 739430
  - gui-libs/gtk: Bug 787293

Please be cognizant of whether a problem you discover should actually block stabilization of the whole lot of 170 packages for all architectures! Blocking the bug means that likely no other testing will be done by anyone else until the blocker is cleared!
Comment 1 NATTkA bot gentoo-dev 2021-05-26 22:24:21 UTC Comment hidden (obsolete)
Comment 2 NATTkA bot gentoo-dev 2021-05-26 22:28:39 UTC Comment hidden (obsolete)
Comment 3 Sam James archtester gentoo-dev Security 2021-05-27 00:31:39 UTC
Can we drop the blocker on keywording as the only affected arch with any stable keywords is HPPA?
Comment 4 NATTkA bot gentoo-dev 2021-05-27 02:54:51 UTC Comment hidden (obsolete)
Comment 5 NATTkA bot gentoo-dev 2021-05-27 03:26:51 UTC Comment hidden (obsolete)
Comment 6 Matt Turner gentoo-dev 2021-05-27 03:31:54 UTC
Cc'ing accessibility@gentoo.org for

dev-libs/liblouis-3.17.0 ^
app-accessibility/brltty-6.1 ^
app-accessibility/speech-dispatcher-0.9.1 ^

Cc'ing chewi@gentoo.org         for

dev-libs/weston
Comment 7 NATTkA bot gentoo-dev 2021-05-27 03:38:47 UTC Comment hidden (obsolete)
Comment 8 NATTkA bot gentoo-dev 2021-05-27 03:46:50 UTC Comment hidden (obsolete)
Comment 9 NATTkA bot gentoo-dev 2021-05-27 19:24:21 UTC Comment hidden (obsolete)
Comment 10 Sam James archtester gentoo-dev Security 2021-05-28 09:33:04 UTC
- CCed polynomial-c@, office@ for harfbuzz
- CCed accessibility@ for a few packages like brltty
- CCed python@ for pygobject and friends
Comment 11 NATTkA bot gentoo-dev 2021-05-28 16:00:27 UTC Comment hidden (obsolete)
Comment 12 NATTkA bot gentoo-dev 2021-05-28 16:42:47 UTC Comment hidden (obsolete)
Comment 13 Sam James archtester gentoo-dev Security 2021-05-28 19:10:56 UTC
arm done
Comment 14 Sam James archtester gentoo-dev Security 2021-05-28 19:16:49 UTC
sparc done
Comment 15 Sam James archtester gentoo-dev Security 2021-05-28 19:19:55 UTC
ppc done
Comment 16 Sam James archtester gentoo-dev Security 2021-05-29 06:08:22 UTC
x86 done
Comment 17 Sam James archtester gentoo-dev Security 2021-05-29 08:54:59 UTC
amd64 done
Comment 18 Sam James archtester gentoo-dev Security 2021-05-29 15:27:06 UTC
arm64 done
Comment 19 Sam James archtester gentoo-dev Security 2021-05-29 15:27:09 UTC
ppc64 done
Comment 20 NATTkA bot gentoo-dev 2021-06-13 20:28:21 UTC Comment hidden (obsolete)
Comment 21 NATTkA bot gentoo-dev 2021-06-13 20:32:22 UTC Comment hidden (obsolete)
Comment 22 NATTkA bot gentoo-dev 2021-06-14 10:40:23 UTC Comment hidden (obsolete)
Comment 23 NATTkA bot gentoo-dev 2021-06-14 11:12:22 UTC Comment hidden (obsolete)
Comment 24 Larry the Git Cow gentoo-dev 2021-07-06 01:07:48 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fabb64b19b17a88bd1327c1eafafc77a64ee2ba6

commit fabb64b19b17a88bd1327c1eafafc77a64ee2ba6
Author:     Matt Turner <mattst88@gentoo.org>
AuthorDate: 2021-07-06 01:05:53 +0000
Commit:     Matt Turner <mattst88@gentoo.org>
CommitDate: 2021-07-06 01:07:21 +0000

    dev-python/pygobject: Propagate stable keywords
    
    Closes: https://bugs.gentoo.org/792327
    Signed-off-by: Matt Turner <mattst88@gentoo.org>

 dev-python/pygobject/pygobject-3.40.1-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)